bs_carousel:
  namespace: 'Organisms/Bootstrap/Carousel'
  use: '@organisms/tm-bs/carousel/carousel.twig'
  label: BS - Carousel
  description: Carousel
  libraries:
    - carousel_lib:
        css:
          component:
            ../styles/carousel.css: { weight: 10 }
        js:
          ../behaviors/carousel.js: { }

  fields:
    slides:
      type: object
      label: slides
      preview:
        - sid: 'a'
          title: 'Slide title A'
          subtitle: 'Morbi imperdiet porttitor suscipit'
          body: 'Aliquam imperdiet euismod massa, vitae ultricies lacus aliquam non. Morbi imperdiet porttitor suscipit. Morbi vel gravida nunc. Donec vitae eros blandit, pharetra erat a, interdum quam.'
          image_src: https://picsum.photos/1800/540?rnd=a6
          image_alt: Image alt text
        - sid: 'a'
          title: 'Slide title B'
          subtitle: 'Morbi imperdiet porttitor suscipit'
          body: 'Aliquam imperdiet euismod massa, vitae ultricies lacus aliquam non. Morbi imperdiet porttitor suscipit. Morbi vel gravida nunc. Donec vitae eros blandit, pharetra erat a, interdum quam.'
          image_src: https://picsum.photos/1800/540?rnd=a7
          image_alt: Image alt text

    pid:
      type: text
      label: Parent ID
      preview: 'abc'
    overlay:
      type: text
      label: Overlay image
      description: Overlay image as prerender image tag
    overlay_src:
      type: text
      label: Overlay SRC
    overlay_alt:
      type: text
      label: Overlay ALT

  settings:
    data_ride:
      label: data_ride
      type: select
      options:
        carousel: True
        'false': False
      preview: 'carousel'
    data_interval:
      label: data_interval
      type: textfield
      preview: '5000'
    data_pause:
      label: data_pause
      type: select
      options:
        hover: Hover
        'false': False
      preview: 'hover'
    data_wrap:
      label: data_wrap
      type: select
      options:
        'true': True
        'false': False
      preview: 'true'
    data_keyboard:
      label: data_keyboard
      type: select
      options:
        'true': True
        'false': False
      preview: 'true'
    fade:
      label: Fade
      description: Fade or slide, default is slide (off)
      type: boolean
      preview: false
    show_indicators:
      label: Show indicators
      type: boolean
      preview: true
    show_playpause:
      label: Show playpause
      type: boolean
    show_controls:
      label: Show controls
      type: boolean
      preview: true
    carousel_class:
      label: Carousel class
      type: textfield
    slide_classes:
      label: Slide class
      type: textfield
    overlay_style:
      label: Overlay style
      type: select
      options:
        ovr-std: Standard
        ovr-bkend: Bookended
      preview: ovr-std
